YPSERV(8)

NAME
ypserv - YP server daemon

SYNOPSIS
ypserv [-a aclfile] [-d] [-x]

DESCRIPTION
ypserv is a fundamental part of the network information system called YP. This server provides information from YP maps to the YP clients on the network.

A YP map is stored on the server as a db(3) database. A number of YP maps is grouped together in a domain. ypserv determines the domains it serves by looking for a directory with the domain name in /var/yp.

YP hasn't been known for high security through the years. In recent years security has improved by restricting access to the server. In SunOS 4.1 has a new file occured named /var/yp/securenet. It contains networks the server can assume is secure. For information about file format see securenet(5).

Before the author of this server had seen securenet(5) another format was implemented ypserv.acl(5). This file format makes it possible to allow and deny hosts and networks access to the server. This file can have any name since it's given by the argument to -a (use full path).

The file used can be reread by sending a SIGHUP to. The process pid can be found in the file /var/run/ypserv.pid.

If a host isn't secure all queries to the server will result in a YP_NODOM result.

If the file /var/yp/ypserv.log exists then messages will be written to the file.

The options are as follows:

-a aclfile
    Don't use /var/yp/securenet. Use another file with another file format. For further information see ypserv.acl(5).

-d  Use internet Domain Name System. If a query to map hosts.byname or hosts.byaddr fails, make a DNS query and return the result if successful.

-x  Terminate the server after processing aclfile or /var/yp/securenet.

FILES
/var/yp/ypserv.log
/var/yp/securenet
/var/run/ypserv.pid

SEE ALSO
securenet(5), ypserv.acl(5), yp(8), ypbind(8), ypinit(8).

AUTHOR
This implementation of ypserv was originally written by Mats O Jansson <moj@stacken.kth.se>. The access control list code was later re-written from scratch by Jason R. Thorpe <thorpej@NetBSD.ORG>.